- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/list#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/list#body.ListMetadataFeedsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/list#try-it)

Retrieve a list of MetadataFeeds.

### HTTP request

`GET https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*}/metadataFeeds`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent location, in the format `projects/{project_id_or_number}/locations/{locationId}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of metadata feeds to return. The service might return fewer feeds than this value. If unspecified, at most 10 feeds are returned. The maximum value is 1,000. |
| `pageToken` | `string` Optional. The page token received from a previous `metadataFeeds.list` call. Provide this token to retrieve the subsequent page of results. When paginating, all other parameters that are provided to the `metadataFeeds.list` request must match the call that provided the page token. |
| `filter` | `string` Optional. Filter request. Filters are case-sensitive. The service supports the following formats: - `labels.key1 = "value1"` - `labels:key1` - `name = "value"` You can combine filters with `AND`, `OR`, and `NOT` operators. |
| `orderBy` | `string` Optional. The field to sort the results by, either `name` or `createTime`. If not specified, the ordering is undefined. |

### Request body

The request body must be empty.

### Response body

Response message for metadataFeeds.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "metadataFeeds": [ { object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds#MetadataFeed`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `metadataFeeds[]` | ``object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds#MetadataFeed`)`` List of metadata feeds under the specified parent location. |
| `nextPageToken` | `string` A token to retrieve the next page of results. If there are no more results in the list, the value is empty. |
| `unreachable[]` | `string` Unordered list. Locations that the service couldn't reach. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataplex.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `dataplex.metadataFeeds.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).